Upstream information

CVE-2017-1002101 at MITRE

Description

In Kubernetes versions 1.3.x, 1.4.x, 1.5.x, 1.6.x and prior to versions 1.7.14, 1.8.9 and 1.9.4 containers using subpath volume mounts with any volume type (including non-privileged pods, subject to file permissions) can access files/directories outside of the volume, including the host's filesystem.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.6 7.4
Vector CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:N CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Local
Attack Complexity Low High
Privileges Required Low None
User Interaction None None
Scope Changed Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact None High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1084923 [RESOLVED / DUPLICATE], 1085007 [RESOLVED / FIXED], 1085009 [RESOLVED], 1096726 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.1
  • cri-o >= 1.17.1-lp151.2.2
  • cri-o-kubeadm-criconfig >= 1.17.1-lp151.2.2
  • cri-tools >= 1.18.0-lp151.2.1
  • go1.14 >= 1.14-lp151.6.1
  • go1.14-doc >= 1.14-lp151.6.1
  • go1.14-race >= 1.14-lp151.6.1
  • kubernetes-apiserver >= 1.18.0-lp151.5.1
  • kubernetes-client >= 1.18.0-lp151.5.1
  • kubernetes-controller-manager >= 1.18.0-lp151.5.1
  • kubernetes-kubeadm >= 1.18.0-lp151.5.1
  • kubernetes-kubelet-common >= 1.18.0-lp151.5.1
  • kubernetes-kubelet1.17 >= 1.18.0-lp151.5.1
  • kubernetes-kubelet1.18 >= 1.18.0-lp151.5.1
  • kubernetes-master >= 1.18.0-lp151.5.1
  • kubernetes-node >= 1.18.0-lp151.5.1
  • kubernetes-proxy >= 1.18.0-lp151.5.1
  • kubernetes-scheduler >= 1.18.0-lp151.5.1
Patchnames:
openSUSE-2020-554
openSUSE Tumbleweed
  • kubernetes-apiserver >= 1.22.2-21.2
  • kubernetes-apiserver-minus1 >= 1.21.5-21.2
  • kubernetes-client >= 1.22.2-21.2
  • kubernetes-controller-manager >= 1.22.2-21.2
  • kubernetes-controller-manager-minus1 >= 1.21.5-21.2
  • kubernetes-coredns >= 1.8.4-21.2
  • kubernetes-coredns-minus1 >= 1.8.0-21.2
  • kubernetes-etcd >= 3.5.0-21.2
  • kubernetes-etcd-minus1 >= 3.4.13-21.2
  • kubernetes-kubeadm >= 1.22.2-21.2
  • kubernetes-kubelet >= 1.22.2-21.2
  • kubernetes-proxy >= 1.22.2-21.2
  • kubernetes-proxy-minus1 >= 1.21.5-21.2
  • kubernetes-scheduler >= 1.22.2-21.2
  • kubernetes-scheduler-minus1 >= 1.21.5-21.2
Patchnames:
openSUSE-Tumbleweed-2024-10901


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 docker Not affected
SUSE Linux Enterprise High Performance Computing 12 docker Not affected
SUSE Linux Enterprise High Performance Computing 12 kubernetes Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP5 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 docker Not affected
SUSE Linux Enterprise Micro 5.1 docker Not affected
SUSE Linux Enterprise Micro 5.2 docker Not affected
SUSE Linux Enterprise Micro 5.3 docker Not affected
SUSE Linux Enterprise Micro 5.4 docker Not affected
SUSE Linux Enterprise Micro 5.5 docker Not affected
SUSE Linux Enterprise Micro 6.0 docker Not affected
SUSE Linux Enterprise Module for Containers 12 docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP5 docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP6 docker Not affected
SUSE Linux Enterprise Module for Public Cloud 12 kubernetes Unsupported
SUSE Linux Enterprise Server 12 SP5 docker Not affected
SUSE Linux Enterprise Server 12 SP5 kubernetes Unsupported
SUSE Linux Enterprise Server 15 SP5 docker Not affected
SUSE Linux Enterprise Server 15 SP6 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 kubernetes Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP5 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 docker Not affected
SUSE Manager Proxy 4.3 docker Not affected
SUSE Manager Retail Branch Server 4.3 docker Not affected
SUSE Manager Server 4.3 docker Not affected
openSUSE Leap 15.5 docker Not affected
openSUSE Leap 15.6 docker Not affected
openSUSE Leap Micro 5.5 docker Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP2 docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP3 docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP4 docker Not affected
SUSE Linux Enterprise Server 15 SP2 docker Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS docker Not affected
SUSE Linux Enterprise Server 15 SP3 docker Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS docker Not affected
SUSE Linux Enterprise Server 15 SP4 docker Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS docker Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 docker Not affected
Products past their end of life and not receiving proactive updates anymore.
Magnum Orchestration 7 docker Not affected
Magnum Orchestration 7 kubernetes Unsupported
SUSE CaaS Platform 3.0 docker Not affected
SUSE CaaS Platform 3.0 kubernetes Not affected
SUSE CaaS Platform 4.0 docker Not affected
SUSE CaaS Platform 4.0 kubernetes Not affected
SUSE CaaS Platform 4.5 kubernetes-1.18 Unsupported
SUSE Container as a Service Platform 1.0 docker Unsupported
SUSE Container as a Service Platform 1.0 kubernetes Unsupported
SUSE Container as a Service Platform 2.0 docker Not affected
SUSE Container as a Service Platform 2.0 kubernetes Released
SUSE Enterprise Storage 6 docker Not affected
SUSE Enterprise Storage 6 kubernetes Not affected
SUSE Enterprise Storage 7 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 kubernetes Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS kubernetes Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS docker Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS kubernetes Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS docker Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS docker Not affected
SUSE Linux Enterprise Micro 5.0 docker Not affected
SUSE Linux Enterprise Module for Containers 15 docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP1 docker Not affected
SUSE Linux Enterprise Module for Containers 15 SP1 kubernetes Not affected
SUSE Linux Enterprise Server 12 docker Not affected
SUSE Linux Enterprise Server 12 kubernetes Unsupported
SUSE Linux Enterprise Server 12 SP3 docker Not affected
SUSE Linux Enterprise Server 12 SP3 kubernetes Unsupported
SUSE Linux Enterprise Server 12 SP4 docker Not affected
SUSE Linux Enterprise Server 12 SP4 kubernetes Unsupported
SUSE Linux Enterprise Server 15 docker Not affected
SUSE Linux Enterprise Server 15 SP1 docker Not affected
SUSE Linux Enterprise Server 15 SP1 kubernetes Not affected
SUSE Linux Enterprise Server 15 SP1-BCL docker Not affected
SUSE Linux Enterprise Server 15 SP1-BCL kubernetes Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS docker Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS kubernetes Not affected
SUSE Linux Enterprise Server 15 SP2-BCL docker Not affected
SUSE Linux Enterprise Server 15 SP3-BCL docker Not affected
SUSE Linux Enterprise Server 15-LTSS docker Not affected
SUSE Linux Enterprise Server for SAP Applications 12 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 12 kubernetes Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 kubernetes Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 kubernetes Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 docker Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 kubernetes Not affected
SUSE Manager Proxy 4.0 docker Not affected
SUSE Manager Proxy 4.0 kubernetes Not affected
SUSE Manager Proxy 4.1 docker Not affected
SUSE Manager Proxy 4.2 docker Not affected
SUSE Manager Retail Branch Server 4.0 docker Not affected
SUSE Manager Retail Branch Server 4.0 kubernetes Not affected
SUSE Manager Retail Branch Server 4.1 docker Not affected
SUSE Manager Retail Branch Server 4.2 docker Not affected
SUSE Manager Server 4.0 docker Not affected
SUSE Manager Server 4.0 kubernetes Not affected
SUSE Manager Server 4.1 docker Not affected
SUSE Manager Server 4.2 docker Not affected
SUSE OpenStack Cloud 6 docker Not affected
SUSE OpenStack Cloud 6-LTSS docker Not affected
openSUSE Leap 15.3 docker Not affected
openSUSE Leap 15.4 docker Not affected
openSUSE Leap Micro 5.2 docker Not affected
openSUSE Leap Micro 5.3 docker Not affected
openSUSE Leap Micro 5.4 docker Not affected


SUSE Timeline for this CVE

CVE page created: Mon Mar 12 17:45:20 2018
CVE page last modified: Fri Jul 19 17:05:22 2024